import {Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards} from "@nestjs/common";
import {AdminAuthGuard} from "src/core/guards/admin-auth.guard";
import {Constants} from "src/utils/constants";
import {CommonCmsService} from "./common-cms.service";
import {UpdateCommonCmsDto} from "./dto/update-common-cms.dto";

@Controller({path: "common-cms", version: Constants.API_VERSION_1})

export class CommonCmsController {
    constructor(private readonly service: CommonCmsService) {}

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateCommonCmsDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
