import {EntityRepository, Repository} from "typeorm";
import {UpdateFooterCmsDto} from "./dto/update-footer-cms.dto";
import {FooterCms} from "./entities/footer-cms.entity";

@EntityRepository(FooterCms)
export class FooterCmsRepository extends Repository<FooterCms> {

    async createEntity(dto: UpdateFooterCmsDto): Promise<FooterCms | Error> {
        try {
            const entity = this.create({
                logo: dto.logo,
                description: dto.description,
                copyrightText: dto.copyrightText,
                contactNo: dto.contactNo,
                contactEmail: dto.contactEmail,
                buttonText: dto.buttonText,
                buttonLink: dto.buttonLink
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateFooterCmsDto, id: string): Promise<FooterCms | Error> {
        try {
            await this.update(id, {
                logo: dto.logo,
                description: dto.description,
                copyrightText: dto.copyrightText,
                contactNo: dto.contactNo,
                contactEmail: dto.contactEmail,
                buttonText: dto.buttonText,
                buttonLink: dto.buttonLink
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<FooterCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}