import {Module} from "@nestjs/common";
import {JwtModule} from "@nestjs/jwt";
import {TypeOrmModule} from "@nestjs/typeorm";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import {UsersRepository} from "src/modules/users/user.repository";
import {DoSpacesServicerovider} from "../SpacesModule/SpacesService";
import {DoSpacesService} from "../SpacesModule/SpacesService/doSpacesService";
import {CareerDepartmentController} from "./career-department.controller";
import {CareerDepartmentRepository} from "./career-department.repository";
import {CareerDepartmentService} from "./career-department.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([CareerDepartmentRepository])
    ],
    controllers: [CareerDepartmentController],
    providers: [CareerDepartmentService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class CareerDepartmentModule {
}
