import {Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards} from "@nestjs/common";
import {AdminAuthGuard} from "src/core/guards/admin-auth.guard";
import {Constants} from "src/utils/constants";
import { BlogPageComponentUiService } from "./blog-page-component-ui.service";
import { UpdateBlogPageComponentUiDto } from "./dto/update-blog-page-component-ui.dto";

@Controller({path: "blog-page-component-ui", version: Constants.API_VERSION_1})

export class BlogPageComponentUiController {
    constructor(private readonly service: BlogPageComponentUiService) {}

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateBlogPageComponentUiDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
