import {EntityRepository, Repository} from "typeorm";
import { CategoriesPageComponentUiEntity } from "./entities/categories-page-component-ui.entity";
import { UpdateCategoriesPageComponentUiDto } from "./dto/update-categories-page-component-ui.dto";

@EntityRepository(CategoriesPageComponentUiEntity)
export class CategoriesPageComponentUiRepository extends Repository<CategoriesPageComponentUiEntity> {

    async createEntity(dto: UpdateCategoriesPageComponentUiDto): Promise<CategoriesPageComponentUiEntity | Error> {
        try {
            const entity = this.create({
                backgroundColor: dto.backgroundColor,
                brandSectionTitleFontColor: dto.brandSectionTitleFontColor,
                categorySectionTitleFontColor: dto.categorySectionTitleFontColor,
                flowerSectionTitleFontColor: dto.flowerSectionTitleFontColor
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateCategoriesPageComponentUiDto, id: string): Promise<CategoriesPageComponentUiEntity | Error> {
        try {
            await this.update(id, {
                backgroundColor: dto.backgroundColor,
                brandSectionTitleFontColor: dto.brandSectionTitleFontColor,
                categorySectionTitleFontColor: dto.categorySectionTitleFontColor,
                flowerSectionTitleFontColor: dto.flowerSectionTitleFontColor
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<CategoriesPageComponentUiEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}