import {Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards} from "@nestjs/common";
import {AdminAuthGuard} from "src/core/guards/admin-auth.guard";
import {Constants} from "src/utils/constants";
import { CommonComponentUiService } from "./common-component-ui.service";
import { UpdateCommonComponentUiDto } from "./dto/update-common-component-ui.dto";

@Controller({path: "common-component-ui", version: Constants.API_VERSION_1})

export class CommonComponentUiController {
    constructor(private readonly service: CommonComponentUiService) {}

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateCommonComponentUiDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
