import {Module} from "@nestjs/common";
import {JwtModule} from "@nestjs/jwt";
import {TypeOrmModule} from "@nestjs/typeorm";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import {UsersRepository} from "src/modules/users/user.repository";
import {DoSpacesServicerovider} from "../../../SpacesModule/SpacesService";
import {DoSpacesService} from "../../../SpacesModule/SpacesService/doSpacesService";
import {RetailerServiceController} from "./retailer-service.controller";
import {RetailerServiceRepository} from "./retailer-service.repository";
import {RetailerServiceService} from "./retailer-service.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([RetailerServiceRepository])
    ],
    controllers: [RetailerServiceController],
    providers: [RetailerServiceService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class RetailerServiceModule {
}
